### Hierarchy

- XmlComponent
  - Pic

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- delete
- prepForXml
- setXY

## Constructors

### constructor

- new Pic(referenceId: number, x: number, y: number): Pic

- Overrides XmlComponent.constructor

  - Defined in file/drawing/inline/graphic/graphic-data/pic/pic.ts:9

  #### Parameters

  - ##### referenceId: number

  - ##### x: number

  - ##### y: number

  #### Returns Pic

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

### setXY

- setXY(x: number, y: number): void

- - Defined in file/drawing/inline/graphic/graphic-data/pic/pic.ts:27

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

Generated using TypeDoc